function calcular(){
	var iva = 21;
	var pvp = $('#pvp').val();
	var descuento = $('#descuento').val();
	var c_coste = $('#coste');
	
	if (isNaN(descuento)){
		descuento = 0;
	}
	if (isNaN(pvp)){
	} else {
		console.log('entra');
		coste = pvp - (pvp*(descuento/100));
		coste = parseFloat(coste.toFixed(2));
		c_coste.val(coste);
		var iva_importe = (coste * iva)/100;
		iva_importe = parseFloat(iva_importe.toFixed(2));
		console.log('Importe'+iva_importe);
		$('#iva').val(iva_importe);
		var total = coste + iva_importe;
		total = total.toFixed(2);
		console.log('Total:'+total);
		$('#total').val(total);
	}
	
}

function redondear(valor){
	if (isNaN(valor)){
		valor = 0;
	} else {
		valor = parseInt(valor *100)/100;
	}
	valor.toFixed(2);
	return valor;
}

function calcular_cantidades(){
	
	var iva = 10;
	var suprecio_base = $('#suprecio_base').val();
	suprecio_base = parseFloat(suprecio_base);
	var suprecio_iva_c = $('#suprecio_iva');
	var descuento = $('#descuento_f').val();
	//var c_coste = $('#coste');
	
	if (isNaN(descuento)){
		descuento = 2;
	}
	if (isNaN(suprecio_base)){
	} else {
		var suprecio_iva = parseFloat((suprecio_base * (iva/100)).toFixed(2));
		suprecio_iva_c.val(suprecio_iva);
		$('#suprecio_total').val(redondear(suprecio_base+suprecio_iva));
		$('#descuento_base').val(redondear(suprecio_base *(descuento/100)));
		$('#descuento_iva').val(redondear($('#suprecio_iva').val()*(descuento/100)));
		$('#descuento_total').val(redondear($('#suprecio_total').val()*(descuento/100)));
		$('#final_base').val(parseFloat($('#suprecio_base').val())-parseFloat($('#descuento_base').val()));
		$('#final_iva').val(parseFloat($('#suprecio_iva').val())-parseFloat($('#descuento_iva').val()));
		$('#final_total').val(parseFloat($('#suprecio_total').val())-parseFloat($('#descuento_total').val()));
		
		//Rellenar el formulario
		$('#pvp').val($('#suprecio_base').val());
		$('#descuento').val($('#descuento_f').val());
		$('#coste').val($('#final_base').val());
	}
	
}

$(function(){
	calcular_cantidades();
});

